import { Wallet } from '../../../domain/entities/wallet';
import { IWalletRepository } from '../../../domain/repositories/wallet-repository';

export class GetWalletsByDeviceUseCase {
  constructor(private readonly walletRepository: IWalletRepository) {}

  async execute(deviceId: string): Promise<Wallet[]> {
    return this.walletRepository.findByDeviceId(deviceId);
  }
}
